Bug 1008506 - Add postgis to latest postgresql SCL [NEEDINFO]
Add postgis to latest postgresql SCL
Status: NEW
Product: Red Hat Software Collections
Classification: Red Hat
Component: distribution (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2
Assigned To: Brian Gollaher
: FutureFeature
: 1300650 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-09-16 09:48 EDT by Honza Horak
Modified: 2018-01-31 09:53 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hgomes: needinfo? (briang)

Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2013-09-16 09:48:32 EDT
Description of problem:
OpenShift asked for inclusion of postgis package into postgresql92 collection and we can expect other similar requirements in the future.

PostGIS adds support for geographic objects to the PostgreSQL object-relational
database. In effect, PostGIS "spatially enables" the PostgreSQL server,
allowing it to be used as a backend spatial database for geographic information
systems (GIS), much like ESRI's SDE or Oracle's Spatial extension. PostGIS
follows the OpenGIS "Simple Features Specification for SQL" and has been
certified as compliant with the "Types and Functions" profile.

If this is approved, then we'd need to include some more packages because of dependencies. Pure list of dependencies without deeper analysis if some requirement can be removed is here:

|- armadillo
|- cfitsio
|- CharLS
|- freexl
|- g2clib
|- hdf
|- hdf5
|- libgta
|- libspatialite
|- libwebp
|- netcdf
|- libdap
|- librx
|- gpsbabel
  |- shapelib
Comment 4 Honza Horak 2013-11-01 10:01:10 EDT
Just FTR, it was decided to not include postgis into RHSCL 1.1. The reason is that there are too many dependencies which can be limited by removing some of the features, but since we don't have specific customer requests, we don't know the use cases well enough.

Some more notes for the future.. The following list seems to be a *minimum* set (not what is currently used in Fedora) of packages that would need to be added into postgresql92 collection to have postgis successfully built:

 * proj
 * geos
 * gdal
 * libgeotiff
 * CharLS
 * g2clib-devel

If we would like to build gdal *exactly* as it is packaged in fedora, we'd end up with the following extra list of dependencies that are not in rhel:

 * cfitsio
 * hdf
 * hdf5
 * libdap
 * librx
 * netcdf
 * ogdi
 * armadillo
 * freexl
 * libgta
 * libspatialite
 * libwebp
 * gpsbabel
 * shapelib
Comment 11 Honza Horak 2016-02-04 10:42:19 EST
*** Bug 1300650 has been marked as a duplicate of this bug. ***
Comment 16 Petr Kubat 2016-10-13 08:34:08 EDT
FYI: I have taken a look at the postgis package and its dependencies that are missing from RHEL7 in a bit more detail:

Required dependencies:

    libgeotiff - Needed for GeoTIFF format
    g2clib - Needed for GRIB format

Optional dependencies:

    CharLS - JPEG-LS driver
    cfitsio - FITS data format
    hdf + hdf5 - HDF and other data formats
    libdap - OPeNDAP support
    libgta - GTA format
    openjpeg2 - JPEG2000 driver
    netcdf -  NetCDF data format
    freexl - Excel file extraction
    armadillo - Linear algebra library for faster computation
    libkml - Google driver for KML

Not needed dependencies (for PostGIS):

    gpsbabel - used for gps format conversion, don't think PostGIS uses this
    libspatialite - Spatialite (SQLite)
    ogdi - From GDAL >= 1.5.0, there should be little reason to use the OGDI raster bridge
    librx - POSIX regexp functions, have not found out what it is used for so far

Note You need to log in before you can comment on or make changes to this bug.